Details
curl --request GET \
--url https://api.themoviedb.org/3/person/{person_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/person/{person_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/person/{person_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"also_known_as": [
"David Lloyd Wolper"
],
"biography": "David L. Wolper was born on January 11, 1928 in New York City, New York, USA as David Lloyd Wolper. He was a producer, known for L.A. Confidential (1997), Willy Wonka & the Chocolate Factory (1971) and Imagine: John Lennon (1988). He was married to Gloria Hill, Dawn Richard and Toni Carroll. He died on August 10, 2010 in Beverly Hills, California, USA.",
"birthday": "1928-01-11",
"deathday": "2010-08-10",
"gender": 2,
"homepage": null,
"id": 3453,
"imdb_id": "nm0938678",
"known_for_department": "Production",
"name": "David L. Wolper",
"place_of_birth": "New York, New York, USA",
"popularity": 1.072,
"profile_path": "/pHCcYBdut3PbNix1NkubLPjaSgJ.jpg"
}Details
This endpoint get the details of a person
GET
/
3
/
person
/
{person_id}
Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
3453
Query Parameters
comma separated list of endpoints within this namespace, 20 items max
Response
200 - application/json
Details
Example:
false
Example:
["David Lloyd Wolper"]
Example:
"David L. Wolper was born on January 11, 1928 in New York City, New York, USA as David Lloyd Wolper. He was a producer, known for L.A. Confidential (1997), Willy Wonka & the Chocolate Factory (1971) and Imagine: John Lennon (1988). He was married to Gloria Hill, Dawn Richard and Toni Carroll. He died on August 10, 2010 in Beverly Hills, California, USA."
Example:
"1928-01-11"
Example:
"2010-08-10"
Example:
2
Example:
3453
Example:
"nm0938678"
Example:
"Production"
Example:
"David L. Wolper"
Example:
"New York, New York, USA"
Example:
1.072
Example:
"/pHCcYBdut3PbNix1NkubLPjaSgJ.jpg"